#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <vector>
#include "boost/shared_ptr.hpp"

#include "TextureSheet.h"

namespace Ui {
class MainWindow;
}


class MainWindow : public QMainWindow
{
    Q_OBJECT

    TextureSheet textureSheet;
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

    Ui::MainWindow* GetUi();

    void RegisterSignals();
public slots:
    void OnAddTexturesPressed();
    void OnGeneratePressed();
    void OnClearPressed();
    void OnSaveTexturePressed();

    void OnSaveSheetParamsPressed();


private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
